# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "boundary-typescript"
version = "0.23.0"
authors = ["Stephen Morgan"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "TypeScript/TSX language analyzer for boundary"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/rebelopsio/boundary"

[lib]
name = "boundary_typescript"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.boundary-core]
version = "0.23.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.thiserror]
version = "2.0"

[dependencies.tree-sitter]
version = "0.26"

[dependencies.tree-sitter-typescript]
version = "0.23"

[dev-dependencies.serde_json]
version = "1.0"
